@ECHO OFF
FOR /D %%I IN ("%~dp0plugins\org.eclipse.platform_4.*") DO (
ECHO COPY "%~dp0plugin_customization.ini" "%%I"
     COPY "%~dp0plugin_customization.ini" "%%I"
ECHO COPY "%~dp0splash.bmp" "%%I"
     COPY "%~dp0splash.bmp" "%%I"
)

IF EXIST "%~dp0plugins\org.tigris.subversion.subclipse.ui_1.6.18.jar" COPY "%~dp0\org.tigris.subversion.subclipse.ui_1.6.18.jar" "%~dp0plugins"
IF EXIST "%~dp0plugins\org.tigris.subversion.subclipse.ui_1.8.14.jar" COPY "%~dp0\org.tigris.subversion.subclipse.ui_1.8.14.jar" "%~dp0plugins"
IF EXIST "%~dp0plugins\org.tigris.subversion.subclipse.ui_1.8.15.jar" COPY "%~dp0\org.tigris.subversion.subclipse.ui_1.8.15.jar" "%~dp0plugins"

@ECHO ON
START "" "%~dp0eclipse.exe" -clean %*
@ping -n 15 localhost>NUL
